RHEL 8 : numpy (RHSA-2019:3704)

High Nessus Plugin ID 130571

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

An update for numpy is now available for Red Hat Enterprise Linux 8.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The numpy packages provide NumPY. NumPY is an extension to the Python programming language, which adds support for large, multi-dimensional arrays and matrices, and a library of mathematical functions that operate on such arrays.

Security Fix(es) :

* numpy: crafted serialized object passed in numpy.load() in pickle python module allows arbitrary code execution (CVE-2019-6446)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes :

For detailed information on changes in this release, see the Red Hat Enterprise Linux 8.1 Release Notes linked from the References section.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?774148ae

https://access.redhat.com/errata/RHSA-2019:3704

https://access.redhat.com/security/cve/cve-2019-6446

Plugin Details

Severity: High

ID: 130571

File Name: redhat-RHSA-2019-3704.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/11/06

Updated: 2019/11/06

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:numpy-debugsource, p-cpe:/a:redhat:enterprise_linux:python3-numpy, p-cpe:/a:redhat:enterprise_linux:python3-numpy-debuginfo, p-cpe:/a:redhat:enterprise_linux:python3-numpy-f2py, cpe:/o:redhat:enterprise_linux:8

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2019/11/05

Vulnerability Publication Date: 2019/01/16

Reference Information

CVE: CVE-2019-6446

RHSA: 2019:3704